Redmine - Feature #14371

Drop Ruby 1.8.7 support
2013-06-30 14:12 - Toshi MARUYAMA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Ruby support Estimated time: 0.00 hour
Target version: 3.0.0

Resolution: Fixed

Description

Ruby 1.8.7 retired on the end of June 2013.
http://www.ruby-lang.org/en/news/2013/06/30/we-retire-1-8-7/

Related issues:

Related to Redmine - Feature #14534: Upgrade to Rails 4.2 Closed

History

#1 - 2013-06-30 15:10 - Jan Niggemann (redmine.org team member)

A prominent mention on the frontpage would IMHO be a good idea, too... if we had the banner plugin here on redmine.org I'd use that...
Made a sticky post: Important: Ruby 1.8.7 out of support

#2 - 2013-07-01 20:11 - Etienne Massip
This could be tied to Rails 4 switch.

#3 - 2013-07-02 06:04 - Toshi MARUYAMA

Etienne Massip wrote:

This could be tied to Rails 4 switch.

No. Ruby team won't release security fix for Ruby 1.8.7.

#4 - 2013-07-02 16:22 - Jun NAITOH

Ruby 1.9.2 is not maintained any longer.

http://www.ruby-lang.org/en/news/2013/06/27/hostname-check-bypassing-vulnerability-in-openssl-client-cve-2013-4073/

https://twitter.com/steveklabnik/status/350521242081697792

https://twitter.com/fceller/status/350521245462298624

#5 - 2013-07-02 21:51 - Simon Deziel
Toshi MARUYAMA wrote:

No. Ruby team won't release security fix for Ruby 1.8.7.

Some distros are going to provide security fixes for quite some time (ex: Ubuntu will do till April 2017).

#6 - 2013-07-03 11:29 - Jan Niggemann (redmine.org team member)

Simon Deziel wrote:

Some distros are going to provide security fixes for quite some time (ex: Ubuntu will do till April 2017).

Updated Important: Ruby 1.8.7 out of support accordingly.

Link?

#7 - 2013-07-09 07:49 - Etienne Massip
Toshi MARUYAMA wrote:
http://www.ruby-lang.org/en/news/2013/06/30/we-retire-1-8-7/
https://www.redmine.org/boards/1/topics/38518
http://www.ruby-lang.org/en/news/2013/06/27/hostname-check-bypassing-vulnerability-in-openssl-client-cve-2013-4073/
Etienne Massip wrote:

This could be tied to Rails 4 switch.

No. Ruby team won't release security fix for Ruby 1.8.7.

| think you don't get me.

Redmine 2.x should still support 1.8.7 language and run fine on latest MRI. I've added a note in Redminelnstall to discourage its use for new setups,
but people should be able to update their Redmine instance to the latest release without reinstalling the full stack.

Rails 4.0 is out and has dropped support for 1.8.7.
-> Redmine could drop 1.8.7 support when switching to Rails 4.0, whenever it will be.
#8 - 2013-07-09 15:31 - Simon Deziel
Jan Niggemann wrote:
Simon Deziel wrote:
Some distros are going to provide security fixes for quite some time (ex: Ubuntu will do till April 2017).

Updated Important: Ruby 1.8.7 out of support accordingly.
Link?

| don't have any link for this specifically but LTS versions of Ubuntu include security fixes for 5 years for all packages part of the "main" repository
(maintained by Canonical). The current LTS version was released in April 2012 and shipped with ruby 1.8.7 so this package will be maintained with
security fixes till April 2017.

Note that this same LTS version also ships ruby 1.9.3 (http:/packages.ubuntu.com/precise/ruby1.9.1, which is truely 1.9.3 despite the name/version)
and this version too is maintained for 5 years.

#9 - 2013-07-09 17:24 - Simon Deziel

Jan Niggemann wrote:
Simon Deziel wrote:
Some distros are going to provide security fixes for quite some time (ex: Ubuntu will do till April 2017).

Updated Important: Ruby 1.8.7 out of support accordingly.
Link?

Ubuntu just issued a security fix for ruby 1.8.7 and 1.9.3: http:/www.ubuntu.com/usn/usn-1902-1/

#10 - 2013-12-21 00:30 - Jun NAITOH

Security Maintenance Extension of Ruby 1.8.7 and 1.9.2

Effective immediately, 1.8.7 and 1.9.2 will be supported for security patches until June 2014.

#11 - 2014-07-08 08:57 - Go MAEDA

"Extended maintenance of Ruby versions 1.8.7 and 1.9.2 will end on July 31, 2014."
https://www.ruby-lang.org/en/news/2014/07/01/eol-for-1-8-7-and-1-9-2/

#12 - 2014-08-06 10:08 - Toshi MARUYAMA
- Related to Feature #14534: Upgrade to Rails 4.2 added

#13 - 2014-10-22 09:35 - Toshi MARUYAMA

- Target version set to 3.0.0

#14 - 2014-10-24 20:48 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

Now that trunk runs with Rails 4.1, ruby >= 1.9.3 is required.
